#ifndef TYPON_TYPON_HPP_INCLUDED
#define TYPON_TYPON_HPP_INCLUDED

#include <utility>

#include <typon/core/fork.hpp>
#include <typon/core/future.hpp>
#include <typon/core/join.hpp>
#include <typon/core/root.hpp>
#include <typon/core/task.hpp>


namespace typon
{

  template <typename Task>
  Fork<typename Task::promise_type::value_type> fork(Task task)
  {
    co_return co_await std::move(task);
  }

}


#endif // TYPON_TYPON_HPP_INCLUDED
