#ifndef TYPON_META_HPP_INCLUDED
#define TYPON_META_HPP_INCLUDED


namespace typon::fdt::meta
{

  template <template <typename ...> typename T>
  struct lazy
  {
    template <typename... Args>
    using type = T<Args...>;
  };


  template <typename... T>
  static constexpr bool always_false_v { false };
}


#endif // TYPON_META_HPP_INCLUDED
